%?mingw_package_header

Name:           mingw-libcacard
Version:        2.5.1
Release:        1%{?dist}
Summary:        Common Access Card (CAC) Emulation

License:        GPLv2+ and LGPLv2+ and BSD
URL:            http://www.spice-space.org/
Source0:        http://www.spice-space.org/download/libcacard/libcacard-%{version}.tar.xz

BuildArch:      noarch

# avoid pixman build...
BuildRequires:  mingw32-pixman
BuildRequires:  mingw64-pixman

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-nss
BuildRequires:  mingw32-glib2

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-nss
BuildRequires:  mingw64-glib2

BuildRequires:  automake
BuildRequires:  libtool

%description
QEMU is a generic and open source processor emulator which achieves a good
emulation speed by using dynamic translation. QEMU has two operating modes:

%package -n mingw32-libcacard
Summary:        Common Access Card (CAC) Emulation
Group:          Development/Libraries

%description -n mingw32-libcacard
Common Access Card (CAC) emulation library.

%package -n mingw64-libcacard
Summary:        Common Access Card (CAC) Emulation
Group:          Development/Libraries

%description -n mingw64-libcacard
Common Access Card (CAC) emulation library.

%?mingw_debug_package

%prep
%setup  -q -n libcacard-%{version}

%build
%mingw_configure
%mingw_make %{?_smp_mflags} V=1

%install
rm -rf $RPM_BUILD_ROOT

%mingw_make install "DESTDIR=$RPM_BUILD_ROOT"

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete

%files -n mingw32-libcacard
%{mingw32_bindir}/libcacard-0.dll
%{mingw32_bindir}/vscclient.exe
%{mingw32_includedir}/cacard
%{mingw32_libdir}/libcacard.dll.a
%{mingw32_libdir}/pkgconfig/libcacard.pc

%files -n mingw64-libcacard
%{mingw64_bindir}/libcacard-0.dll
%{mingw64_bindir}/vscclient.exe
%{mingw64_includedir}/cacard
%{mingw64_libdir}/libcacard.dll.a
%{mingw64_libdir}/pkgconfig/libcacard.pc

%changelog
* Wed Nov 25 2015 Fabiano Fidêncio <fidencio@redhat.com> - 2.5.1-1
- Initial package. #914790
